> For the complete documentation index, see [llms.txt](https://docs.matrixian.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.matrixian.com/waarderen-en-taxeren/koopsom-api.md).

# Koopsom API

## GET /mx-transaction-finder

> Conveniently retrieve residential transaction data for a specific object.

```json
{"openapi":"3.1.1","info":{"title":"Matrixian API","version":"1.0.0"},"servers":[{"url":"https://api.matrixian.com/v1","description":"Matrixian API"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"{{API_KEY}}"}},"schemas":{"TransactionFinderInput":{"properties":{"postalCode":{"type":"string","title":"Postalcode","description":"Postal code"},"houseNumber":{"type":"integer","title":"Housenumber","description":"House number"},"houseLetter":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Houseletter","description":"House letter"},"houseNumberExt":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Housenumberext","description":"House number extension"},"valuationDate":{"type":"string","format":"date","title":"Valuationdate","description":"Valuation date","default":"2026-10-28"},"dateTransport":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Datetransport","description":"The date on which the legal ownership of a property is transferred from the seller to the buyer."}},"type":"object","required":["postalCode","houseNumber"],"title":"TransactionFinderInput"},"TransactionFinderResponse":{"properties":{"postalCode":{"type":"string","title":"Postalcode","description":"Postal code"},"houseNumber":{"type":"integer","title":"Housenumber","description":"House number"},"houseLetter":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Houseletter","description":"House letter"},"houseNumberExt":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Housenumberext","description":"House number extension"},"saleDate":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Saledate","description":"Sale date"},"transportDate":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Transportdate","description":"The date on which the legal ownership of a property is transferred from the seller to the buyer."},"transactionDate":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Transactiondate","description":"The date on which the buyer and seller agreed on the property sale."},"transactionPrice":{"type":"integer","title":"Transactionprice","description":"Transaction price"},"transactionPriceIndexed":{"type":"integer","title":"Transactionpriceindexed","description":"The price of the transaction, indexed to the valuation date."},"transactionPriceIndexedDateTransport":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Transactionpriceindexeddatetransport","description":"The price of the transaction, indexed to the transport date."},"transactionPriceIndexedDateSale":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Transactionpriceindexeddatesale","description":"The price of the transaction, indexed to the sale date."},"valuationDate":{"type":"string","format":"date","title":"Valuationdate","description":"Valuation date"}},"type":"object","required":["postalCode","houseNumber","saleDate","transportDate","transactionPrice","transactionPriceIndexed","transactionPriceIndexedDateTransport","transactionPriceIndexedDateSale","valuationDate"],"title":"TransactionFinderResponse"},"ErrorObject":{"properties":{"code":{"type":"integer","title":"Code"},"message":{"type":"string","title":"Message"},"errors":{"items":{"$ref":"#/components/schemas/ErrorDetail"},"type":"array","title":"Errors"}},"type":"object","required":["code","message","errors"],"title":"ErrorObject"},"ErrorDetail":{"properties":{"reason":{"type":"string","title":"Reason"},"message":{"type":"string","title":"Message"}},"type":"object","required":["reason","message"],"title":"ErrorDetail"}}},"paths":{"/mx-transaction-finder":{"get":{"description":"Conveniently retrieve residential transaction data for a specific object.","operationId":"transactionFinder","parameters":[{"description":"Postal code","required":true,"style":"form","explode":true,"schema":{"type":"string"},"name":"postalCode","in":"query"},{"description":"House number","required":true,"style":"form","explode":true,"schema":{"type":"integer"},"name":"houseNumber","in":"query"},{"description":"House letter","required":false,"style":"form","explode":true,"schema":{"type":"string"},"name":"houseLetter","in":"query"},{"description":"House number extension","required":false,"style":"form","explode":true,"schema":{"type":"string"},"name":"houseNumberExt","in":"query"},{"description":"Valuation date","required":false,"style":"form","explode":true,"schema":{"type":"string","format":"date","default":"2026-10-28"},"name":"valuationDate","in":"query"},{"description":"The date on which the legal ownership of a property is transferred from the seller to the buyer.","required":false,"style":"form","explode":true,"schema":{"type":"string","format":"date"},"name":"dateTransport","in":"query"}],"responses":{"200":{"description":"TransactionFinderResponse","content":{"application/json":{"schema":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}]},"params":{"$ref":"#/components/schemas/TransactionFinderInput"},"data":{"$ref":"#/components/schemas/TransactionFinderResponse"},"error":{"additionalProperties":{"type":"string"},"type":"object"},"meta":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}]},"status":{"type":"string"}},"type":"object","required":["data","status"]}}}},"400":{"description":"HTTP 400","content":{"application/json":{"schema":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}]},"params":{"$ref":"#/components/schemas/TransactionFinderInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}]},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"401":{"description":"HTTP 401","content":{"application/json":{"schema":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}]},"params":{"$ref":"#/components/schemas/TransactionFinderInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}]},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"403":{"description":"HTTP 403","content":{"application/json":{"schema":{"properties":{"message":{"type":"string"}},"type":"object","required":["message"]}}}},"404":{"description":"HTTP 404","content":{"application/json":{"schema":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}]},"params":{"$ref":"#/components/schemas/TransactionFinderInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}]},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"500":{"description":"HTTP 500","content":{"application/json":{"schema":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}]},"params":{"$ref":"#/components/schemas/TransactionFinderInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}]},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}}}}}}}
```

## The TransactionFinderResponse object

```json
{"openapi":"3.1.1","info":{"title":"Matrixian API","version":"1.0.0"},"components":{"schemas":{"TransactionFinderResponse":{"properties":{"postalCode":{"type":"string","title":"Postalcode","description":"Postal code"},"houseNumber":{"type":"integer","title":"Housenumber","description":"House number"},"houseLetter":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Houseletter","description":"House letter"},"houseNumberExt":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Housenumberext","description":"House number extension"},"saleDate":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Saledate","description":"Sale date"},"transportDate":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Transportdate","description":"The date on which the legal ownership of a property is transferred from the seller to the buyer."},"transactionDate":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Transactiondate","description":"The date on which the buyer and seller agreed on the property sale."},"transactionPrice":{"type":"integer","title":"Transactionprice","description":"Transaction price"},"transactionPriceIndexed":{"type":"integer","title":"Transactionpriceindexed","description":"The price of the transaction, indexed to the valuation date."},"transactionPriceIndexedDateTransport":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Transactionpriceindexeddatetransport","description":"The price of the transaction, indexed to the transport date."},"transactionPriceIndexedDateSale":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Transactionpriceindexeddatesale","description":"The price of the transaction, indexed to the sale date."},"valuationDate":{"type":"string","format":"date","title":"Valuationdate","description":"Valuation date"}},"type":"object","required":["postalCode","houseNumber","saleDate","transportDate","transactionPrice","transactionPriceIndexed","transactionPriceIndexedDateTransport","transactionPriceIndexedDateSale","valuationDate"],"title":"TransactionFinderResponse"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.matrixian.com/waarderen-en-taxeren/koopsom-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
